#include <iostream>
#include "guess.h"
using namespace std;

int find_numer(int MAX){
    int st=1,dr=MAX,mij,rasp=0;
    while(st<=dr){
        mij=(st+dr)/2;
        if(smaller(mij)==0){
            rasp=mij;st=mij+1;
        }else dr=mij-1;
    }
    return rasp;
}
